Bug 1270361 - Changes are not applied on EFI systems
Changes are not applied on EFI systems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub-customizer (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vasiliy Glazov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 14:56 EDT by Daniele Santini
Modified: 2016-05-08 15:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: grub-customizer-5.0.5-2.fc24 grub-customizer-5.0.5-2.fc22 grub-customizer-5.0.5-2.fc23 grub-customizer-5.0.6-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-08 15:04:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniele Santini 2015-10-09 14:56:17 EDT
Description of problem:


Version-Release number of selected component (if applicable):
4.0.6-3.fc22

How reproducible:
On an EFI system, try changing grub entries through Grub Customizer

Steps to Reproduce:
1.Start Grub Customizer
2.Change something in the boot entries
3.Click Save
4.Reboot

Actual results:
Nothing changes in the grub menu

Expected results:
Changes are applied

Additional info:
Changes can be applied by running:
# grub2-mkconfig -o /etc/grub2-efi.cfg
Comment 1 Vasiliy Glazov 2016-03-25 04:20:44 EDT
Please try this build http://koji.fedoraproject.org/koji/taskinfo?taskID=13454065
I added change config file depends on EFI system or not.
Comment 2 Vasiliy Glazov 2016-03-25 04:29:27 EDT
If you use Fedora 23 then this build http://koji.fedoraproject.org/koji/taskinfo?taskID=13454140
Comment 3 Fedora Update System 2016-03-28 03:24:49 EDT
grub-customizer-5.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ed7a4688f9
Comment 4 Fedora Update System 2016-03-28 03:24:54 EDT
grub-customizer-5.0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-670e01a7a6
Comment 5 Fedora Update System 2016-03-28 03:24:57 EDT
grub-customizer-5.0.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-65380f766b
Comment 6 Fedora Update System 2016-03-28 03:25:01 EDT
grub-customizer-5.0.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87309590e7
Comment 7 Fedora Update System 2016-03-28 16:19:18 EDT
grub-customizer-5.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ed7a4688f9
Comment 8 Fedora Update System 2016-03-28 16:49:25 EDT
grub-customizer-5.0.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87309590e7
Comment 9 Fedora Update System 2016-03-28 16:49:26 EDT
grub-customizer-5.0.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-65380f766b
Comment 10 Fedora Update System 2016-03-28 16:54:56 EDT
grub-customizer-5.0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-670e01a7a6
Comment 11 lnie 2016-03-29 01:26:07 EDT
The icon doesn't work ,after install the latest grub-customizer-5.0.4-1.fc23 
And after run 'grub-customizer' command,the following message will pop up:
grub-customizer: symbol lookup error: grub-customizer: undefined symbol: _ZN3Gtk12TreeIterBaseC2EOS0_
Comment 12 Fedora Update System 2016-03-30 03:15:29 EDT
grub-customizer-5.0.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e982517f3
Comment 13 Fedora Update System 2016-03-30 03:15:35 EDT
grub-customizer-5.0.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-88004e7da9
Comment 14 Fedora Update System 2016-03-30 03:15:40 EDT
grub-customizer-5.0.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d5ffa2166
Comment 15 Fedora Update System 2016-03-30 03:15:44 EDT
grub-customizer-5.0.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f660a1a6a
Comment 16 Fedora Update System 2016-03-30 18:22:13 EDT
grub-customizer-5.0.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f660a1a6a
Comment 17 Fedora Update System 2016-03-30 18:26:05 EDT
grub-customizer-5.0.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6e982517f3
Comment 18 Fedora Update System 2016-03-30 18:55:14 EDT
grub-customizer-5.0.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d5ffa2166
Comment 19 Fedora Update System 2016-03-30 22:20:40 EDT
grub-customizer-5.0.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-88004e7da9
Comment 20 Fedora Update System 2016-04-05 06:12:12 EDT
grub-customizer-5.0.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-04-07 11:48:23 EDT
grub-customizer-5.0.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-04-07 11:52:00 EDT
grub-customizer-5.0.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-04-08 08:44:55 EDT
grub-customizer-5.0.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-711f352bcb
Comment 24 Fedora Update System 2016-04-09 14:49:00 EDT
grub-customizer-5.0.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-711f352bcb
Comment 25 Fedora Update System 2016-04-22 03:03:33 EDT
grub-customizer-5.0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07913edec3
Comment 26 Fedora Update System 2016-04-24 01:51:46 EDT
grub-customizer-5.0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-07913edec3
Comment 27 Fedora Update System 2016-05-08 15:04:41 EDT
grub-customizer-5.0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.